
QGIS Application - Bug report #2910

qgis crashes when opening a project saved with deleted google layers

2010-07-28 12:41 AM - lroubeyrie -

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 12970

Description

qGIS can't open and crashes when opening a project where some layers come from the google layers plugin but were deleted on the

filesystem like after a reboot, with a GDAL error message :

Error: 

    GDAL Error 4: @/tmp/google_layers/google-hybrid-z13-3-26072010_1604591280153099.jpg' does not exist in the file system,

and is not recognised as a supported dataset name.

...

History

#1 - 2010-07-28 06:25 AM - Ivan Mincik

With M13916 I receive correct message that some layers are missing .... . No crashing.

#2 - 2010-07-28 06:26 AM - Ivan Mincik

Tested on Debian Lenny.

#3 - 2010-07-28 06:33 AM - Giovanni Manghi

no crashes here too...

ubuntu 10.04 and QGIS 1.5

#4 - 2010-07-28 06:36 AM - Giovanni Manghi

please try again, but this time removing before others plugins... it would not be unusual if there is another 3rd party plugin that is making qgis crash (it

happened in some case with SDA4PP).

#5 - 2010-07-28 07:06 AM - lroubeyrie -

The problem was solved by removing google layers uri's in the qgis project.

Steps are for reproducing the error :

1 - loads a shp (points in my case)

2 - call google layers to loads road map based on visual extend

3 - save the project, close qgis
4 - delete files under /tmp/google_layers

5 - reopen qgis, try to load the project

Note : milestone 1.5.0, not 1.6.0 (can't set it in the combo)

#6 - 2010-07-28 07:08 AM - Giovanni Manghi

Steps are for reproducing the error :

1 - loads a shp (points in my case)

2 - call google layers to loads road map based on visual extend

3 - save the project, close qgis

4 - delete files under /tmp/google_layers

5 - reopen qgis, try to load the project

I made exactly the above steps and no crash at all.

Note : milestone 1.5.0, not 1.6.0 (can't set it in the combo)

code for 1.5 was already freezed.

#7 - 2010-07-28 07:23 AM - lroubeyrie -

Damn, a ghost in my pc makes some jokes and gives segfaults \\o/

#8 - 2010-07-30 03:33 AM - Giovanni Manghi

Replying to [comment:7 lroubeyrie]:

Damn, a ghost in my pc makes some jokes and gives segfaults \\o/

did you tested remove all the other plugins?

#9 - 2010-07-30 05:12 AM - lroubeyrie -

Ok, I've removed all plugins and qgis shows the warning message. Inserting one plugin after one another, qgis segfaults when SDA4PP is here...

#10 - 2010-07-30 05:15 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

told you... ;)

this a situation must be reported to the SDA4PP author because it makes QGIS crash many times when there are rasters involved.
